﻿namespace TestProject;

/// <summary>
/// 제품 요약
/// </summary>
public class ProductSummary
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 제품명 - ProductName

    /// <summary>
    /// 제품명
    /// </summary>
    public string ProductName { get; set; }

    #endregion
    #region 금액 - Amount

    /// <summary>
    /// 금액
    /// </summary>
    public string Amount { get; set; }

    #endregion
    #region 수량 - Quantity

    /// <summary>
    /// 수량
    /// </summary>
    public string Quantity { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 문자열 구하기 - ToString()

    /// <summary>
    /// 문자열 구하기
    /// </summary>
    /// <returns>문자열</returns>
    public override string ToString()
    {
        return $"{ProductName} | {Amount} | {Quantity}";
    }

    #endregion
}